org.libjpegturbo.turbojpeg

## Class TJScalingFactor

- java.lang.Object
- - org.libjpegturbo.turbojpeg.TJScalingFactor

-     public class TJScalingFactor
      extends java.lang.Object

  Fractional scaling factor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `denom` Denominator
    `private int` | `num` Numerator

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TJScalingFactor(int num, int denom)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(TJScalingFactor other)` Returns true or false, depending on whether this instance and `other` have the same numerator and denominator.
    `int` | `getDenom()` Returns denominator
    `int` | `getNum()` Returns numerator
    `int` | `getScaled(int dimension)` Returns the scaled value of `dimension`.
    `boolean` | `isOne()` Returns true or false, depending on whether this instance is equal to 1/1.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### num

          private int num

      Numerator

    - #### denom

          private int denom

      Denominator

  - ### Constructor Detail

    - #### TJScalingFactor

          public TJScalingFactor(int num,
                                 int denom)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getNum

          public int getNum()

      Returns numerator
      Returns:
        numerator

    - #### getDenom

          public int getDenom()

      Returns denominator
      Returns:
        denominator

    - #### getScaled

          public int getScaled(int dimension)

      Returns the scaled value of `dimension`. This function performs the integer equivalent of `ceil(dimension * scalingFactor)`.
      Returns:
        the scaled value of `dimension`

    - #### equals

          public boolean equals(TJScalingFactor other)

      Returns true or false, depending on whether this instance and `other` have the same numerator and denominator.
      Returns:
        true or false, depending on whether this instance and `other` have the same numerator and denominator

    - #### isOne

          public boolean isOne()

      Returns true or false, depending on whether this instance is equal to 1/1.
      Returns:
        true or false, depending on whether this instance is equal to 1/1

Copyright © 2026 Open Microscopy Environment